diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/buildings/model/mobility-building-info.h ns-3.34/src/buildings/model/mobility-building-info.h
--- ns-3.33/src/buildings/model/mobility-building-info.h	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/buildings/model/mobility-building-info.h	2021-07-14 10:31:06.000000000 -0700
@@ -71,20 +71,6 @@
   bool IsIndoor (void);
 
   /** 
-   * 
-   * \brief Is outdoor function
-   *
-   * \return true if the MobilityBuildingInfo instance is outdoor, false otherwise
-   *
-   * \deprecated This method will go away in a future release of ns-3.
-   *  Calling \c IsIndoor () method of \c MobilityBuildingInfo class
-   *  will satisfy the need to determine if a node is inside or outside
-   *  a building.
-   */
-  NS_DEPRECATED_3_31
-  bool IsOutdoor (void);
-
-  /** 
    * \brief Mark this MobilityBuildingInfo instance as indoor
    * 
    * \param building the building into which the MobilityBuildingInfo instance is located
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/click/bindings/modulegen__gcc_ILP32.py ns-3.34/src/click/bindings/modulegen__gcc_ILP32.py
--- ns-3.33/src/click/bindings/modulegen__gcc_ILP32.py	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/click/bindings/modulegen__gcc_ILP32.py	2021-07-14 10:31:06.000000000 -0700
@@ -81,6 +81,8 @@
     module.add_class('Ipv4Address', import_from_module='ns.network')
     ## ipv4-address.h (module 'network'): ns3::Ipv4Address [class]
     root_module['ns3::Ipv4Address'].implicitly_converts_to(root_module['ns3::Address'])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash [class]
+    module.add_class('Ipv4AddressHash', import_from_module='ns.network')
     ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4InterfaceAddress [class]
     module.add_class('Ipv4InterfaceAddress', import_from_module='ns.internet')
     ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4InterfaceAddress::InterfaceAddressScope_e [enumeration]
@@ -91,6 +93,8 @@
     module.add_class('Ipv6Address', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Address [class]
     root_module['ns3::Ipv6Address'].implicitly_converts_to(root_module['ns3::Address'])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash [class]
+    module.add_class('Ipv6AddressHash', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix [class]
     module.add_class('Ipv6Prefix', import_from_module='ns.network')
     ## log.h (module 'core'): ns3::LogComponent [class]
@@ -460,9 +464,11 @@
     register_Ns3Inet6SocketAddress_methods(root_module, root_module['ns3::Inet6SocketAddress'])
     register_Ns3InetSocketAddress_methods(root_module, root_module['ns3::InetSocketAddress'])
     register_Ns3Ipv4Address_methods(root_module, root_module['ns3::Ipv4Address'])
+    register_Ns3Ipv4AddressHash_methods(root_module, root_module['ns3::Ipv4AddressHash'])
     register_Ns3Ipv4InterfaceAddress_methods(root_module, root_module['ns3::Ipv4InterfaceAddress'])
     register_Ns3Ipv4Mask_methods(root_module, root_module['ns3::Ipv4Mask'])
     register_Ns3Ipv6Address_methods(root_module, root_module['ns3::Ipv6Address'])
+    register_Ns3Ipv6AddressHash_methods(root_module, root_module['ns3::Ipv6AddressHash'])
     register_Ns3Ipv6Prefix_methods(root_module, root_module['ns3::Ipv6Prefix'])
     register_Ns3LogComponent_methods(root_module, root_module['ns3::LogComponent'])
     register_Ns3Mac48Address_methods(root_module, root_module['ns3::Mac48Address'])
@@ -1445,6 +1451,18 @@
                    [param('char const *', 'address')])
     return
 
+def register_Ns3Ipv4AddressHash_methods(root_module, cls):
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash(ns3::Ipv4AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv4AddressHash const &', 'arg0')])
+    ## ipv4-address.h (module 'network'): size_t ns3::Ipv4AddressHash::operator()(ns3::Ipv4Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv4Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv4InterfaceAddress_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('==')
@@ -1719,6 +1737,11 @@
                    'ns3::Ipv6Address', 
                    [param('ns3::Address', 'addr'), param('ns3::Ipv6Address', 'prefix')], 
                    is_static=True)
+    ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Address addr, ns3::Ipv6Prefix prefix) [member function]
+    cls.add_method('MakeAutoconfiguredAddress', 
+                   'ns3::Ipv6Address', 
+                   [param('ns3::Address', 'addr'), param('ns3::Ipv6Prefix', 'prefix')], 
+                   is_static=True)
     ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Mac16Address addr, ns3::Ipv6Address prefix) [member function]
     cls.add_method('MakeAutoconfiguredAddress', 
                    'ns3::Ipv6Address', 
@@ -1794,6 +1817,18 @@
                    [param('uint8_t *', 'address')])
     return
 
+def register_Ns3Ipv6AddressHash_methods(root_module, cls):
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash(ns3::Ipv6AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv6AddressHash const &', 'arg0')])
+    ## ipv6-address.h (module 'network'): size_t ns3::Ipv6AddressHash::operator()(ns3::Ipv6Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv6Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv6Prefix_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('==')
@@ -1814,6 +1849,11 @@
     cls.add_constructor([param('ns3::Ipv6Prefix const &', 'prefix')])
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix::Ipv6Prefix(ns3::Ipv6Prefix const * prefix) [constructor]
     cls.add_constructor([param('ns3::Ipv6Prefix const *', 'prefix')])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6Address ns3::Ipv6Prefix::ConvertToIpv6Address() const [member function]
+    cls.add_method('ConvertToIpv6Address', 
+                   'ns3::Ipv6Address', 
+                   [], 
+                   is_const=True)
     ## ipv6-address.h (module 'network'): void ns3::Ipv6Prefix::GetBytes(uint8_t * buf) const [member function]
     cls.add_method('GetBytes', 
                    'void', 
@@ -3632,10 +3672,10 @@
     cls.add_method('SetPriority', 
                    'void', 
                    [param('uint8_t', 'priority')])
-    ## socket.h (module 'network'): void ns3::Socket::SetRecvCallback(ns3::Callback<void, ns3::Ptr<ns3::Socket>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> arg0) [member function]
+    ## socket.h (module 'network'): void ns3::Socket::SetRecvCallback(ns3::Callback<void, ns3::Ptr<ns3::Socket>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> receivedData) [member function]
     cls.add_method('SetRecvCallback', 
                    'void', 
-                   [param('ns3::Callback< void, ns3::Ptr< ns3::Socket >, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'arg0')])
+                   [param('ns3::Callback< void, ns3::Ptr< ns3::Socket >, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'receivedData')])
     ## socket.h (module 'network'): void ns3::Socket::SetRecvPktInfo(bool flag) [member function]
     cls.add_method('SetRecvPktInfo', 
                    'void', 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/click/bindings/modulegen__gcc_LP64.py ns-3.34/src/click/bindings/modulegen__gcc_LP64.py
--- ns-3.33/src/click/bindings/modulegen__gcc_LP64.py	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/click/bindings/modulegen__gcc_LP64.py	2021-07-14 10:31:06.000000000 -0700
@@ -81,6 +81,8 @@
     module.add_class('Ipv4Address', import_from_module='ns.network')
     ## ipv4-address.h (module 'network'): ns3::Ipv4Address [class]
     root_module['ns3::Ipv4Address'].implicitly_converts_to(root_module['ns3::Address'])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash [class]
+    module.add_class('Ipv4AddressHash', import_from_module='ns.network')
     ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4InterfaceAddress [class]
     module.add_class('Ipv4InterfaceAddress', import_from_module='ns.internet')
     ## ipv4-interface-address.h (module 'internet'): ns3::Ipv4InterfaceAddress::InterfaceAddressScope_e [enumeration]
@@ -91,6 +93,8 @@
     module.add_class('Ipv6Address', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Address [class]
     root_module['ns3::Ipv6Address'].implicitly_converts_to(root_module['ns3::Address'])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash [class]
+    module.add_class('Ipv6AddressHash', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix [class]
     module.add_class('Ipv6Prefix', import_from_module='ns.network')
     ## log.h (module 'core'): ns3::LogComponent [class]
@@ -460,9 +464,11 @@
     register_Ns3Inet6SocketAddress_methods(root_module, root_module['ns3::Inet6SocketAddress'])
     register_Ns3InetSocketAddress_methods(root_module, root_module['ns3::InetSocketAddress'])
     register_Ns3Ipv4Address_methods(root_module, root_module['ns3::Ipv4Address'])
+    register_Ns3Ipv4AddressHash_methods(root_module, root_module['ns3::Ipv4AddressHash'])
     register_Ns3Ipv4InterfaceAddress_methods(root_module, root_module['ns3::Ipv4InterfaceAddress'])
     register_Ns3Ipv4Mask_methods(root_module, root_module['ns3::Ipv4Mask'])
     register_Ns3Ipv6Address_methods(root_module, root_module['ns3::Ipv6Address'])
+    register_Ns3Ipv6AddressHash_methods(root_module, root_module['ns3::Ipv6AddressHash'])
     register_Ns3Ipv6Prefix_methods(root_module, root_module['ns3::Ipv6Prefix'])
     register_Ns3LogComponent_methods(root_module, root_module['ns3::LogComponent'])
     register_Ns3Mac48Address_methods(root_module, root_module['ns3::Mac48Address'])
@@ -1445,6 +1451,18 @@
                    [param('char const *', 'address')])
     return
 
+def register_Ns3Ipv4AddressHash_methods(root_module, cls):
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash(ns3::Ipv4AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv4AddressHash const &', 'arg0')])
+    ## ipv4-address.h (module 'network'): size_t ns3::Ipv4AddressHash::operator()(ns3::Ipv4Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv4Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv4InterfaceAddress_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('==')
@@ -1719,6 +1737,11 @@
                    'ns3::Ipv6Address', 
                    [param('ns3::Address', 'addr'), param('ns3::Ipv6Address', 'prefix')], 
                    is_static=True)
+    ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Address addr, ns3::Ipv6Prefix prefix) [member function]
+    cls.add_method('MakeAutoconfiguredAddress', 
+                   'ns3::Ipv6Address', 
+                   [param('ns3::Address', 'addr'), param('ns3::Ipv6Prefix', 'prefix')], 
+                   is_static=True)
     ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Mac16Address addr, ns3::Ipv6Address prefix) [member function]
     cls.add_method('MakeAutoconfiguredAddress', 
                    'ns3::Ipv6Address', 
@@ -1794,6 +1817,18 @@
                    [param('uint8_t *', 'address')])
     return
 
+def register_Ns3Ipv6AddressHash_methods(root_module, cls):
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash(ns3::Ipv6AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv6AddressHash const &', 'arg0')])
+    ## ipv6-address.h (module 'network'): size_t ns3::Ipv6AddressHash::operator()(ns3::Ipv6Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv6Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv6Prefix_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('==')
@@ -1814,6 +1849,11 @@
     cls.add_constructor([param('ns3::Ipv6Prefix const &', 'prefix')])
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix::Ipv6Prefix(ns3::Ipv6Prefix const * prefix) [constructor]
     cls.add_constructor([param('ns3::Ipv6Prefix const *', 'prefix')])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6Address ns3::Ipv6Prefix::ConvertToIpv6Address() const [member function]
+    cls.add_method('ConvertToIpv6Address', 
+                   'ns3::Ipv6Address', 
+                   [], 
+                   is_const=True)
     ## ipv6-address.h (module 'network'): void ns3::Ipv6Prefix::GetBytes(uint8_t * buf) const [member function]
     cls.add_method('GetBytes', 
                    'void', 
@@ -3632,10 +3672,10 @@
     cls.add_method('SetPriority', 
                    'void', 
                    [param('uint8_t', 'priority')])
-    ## socket.h (module 'network'): void ns3::Socket::SetRecvCallback(ns3::Callback<void, ns3::Ptr<ns3::Socket>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> arg0) [member function]
+    ## socket.h (module 'network'): void ns3::Socket::SetRecvCallback(ns3::Callback<void, ns3::Ptr<ns3::Socket>, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> receivedData) [member function]
     cls.add_method('SetRecvCallback', 
                    'void', 
-                   [param('ns3::Callback< void, ns3::Ptr< ns3::Socket >, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'arg0')])
+                   [param('ns3::Callback< void, ns3::Ptr< ns3::Socket >, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'receivedData')])
     ## socket.h (module 'network'): void ns3::Socket::SetRecvPktInfo(bool flag) [member function]
     cls.add_method('SetRecvPktInfo', 
                    'void', 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/click/model/ipv4-click-routing.cc ns-3.34/src/click/model/ipv4-click-routing.cc
--- ns-3.33/src/click/model/ipv4-click-routing.cc	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/click/model/ipv4-click-routing.cc	2021-07-14 10:31:06.000000000 -0700
@@ -559,6 +559,7 @@
 void
 Ipv4ClickRouting::PrintRoutingTable (Ptr<OutputStreamWrapper> stream, Time::Unit unit) const
 {
+  *stream->GetStream () << "\nCLICK Routing table printing is not yet implemented, skipping.\n";
 }
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/click/wscript ns-3.34/src/click/wscript
--- ns-3.33/src/click/wscript	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/click/wscript	2021-07-14 10:31:06.000000000 -0700
@@ -76,7 +76,7 @@
   return 0;
 }
 '''
-    conf.env['DL'] = conf.check(mandatory=True, lib='dl', define_name='DL', uselib_store='DL')
+    conf.env['HAVE_DL'] = conf.check(mandatory=True, lib='dl', define_name='HAVE_DL', uselib_store='DL')
 
     for tmp in ['lib', 'ns']:
         libdir = os.path.abspath(os.path.join(conf.env['WITH_NSCLICK'],tmp))
@@ -119,7 +119,7 @@
         #   'test/click-examples-test-suite.cc',
             ])
     
-    if bld.env['NSCLICK'] and bld.env['DL']:
+    if bld.env['NSCLICK'] and bld.env['HAVE_DL']:
         module.use.extend(['NSCLICK', 'DL'])
         module_test.use.extend(['NSCLICK', 'DL'])
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/config-store/bindings/modulegen__gcc_ILP32.py ns-3.34/src/config-store/bindings/modulegen__gcc_ILP32.py
--- ns-3.33/src/config-store/bindings/modulegen__gcc_ILP32.py	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/config-store/bindings/modulegen__gcc_ILP32.py	2021-07-14 10:31:06.000000000 -0700
@@ -38,6 +38,8 @@
     module.add_class('DefaultDeleter', import_from_module='ns.core', template_parameters=['ns3::TraceSourceAccessor'])
     ## file-config.h (module 'config-store'): ns3::FileConfig [class]
     module.add_class('FileConfig', allow_subclassing=True)
+    ## gtk-config-store.h (module 'config-store'): ns3::GtkConfigStore [class]
+    module.add_class('GtkConfigStore')
     ## hash.h (module 'core'): ns3::Hasher [class]
     module.add_class('Hasher', import_from_module='ns.core')
     ## log.h (module 'core'): ns3::LogComponent [class]
@@ -173,6 +175,7 @@
     register_Ns3DefaultDeleter__Ns3HashImplementation_methods(root_module, root_module['ns3::DefaultDeleter< ns3::Hash::Implementation >'])
     register_Ns3DefaultDeleter__Ns3TraceSourceAccessor_methods(root_module, root_module['ns3::DefaultDeleter< ns3::TraceSourceAccessor >'])
     register_Ns3FileConfig_methods(root_module, root_module['ns3::FileConfig'])
+    register_Ns3GtkConfigStore_methods(root_module, root_module['ns3::GtkConfigStore'])
     register_Ns3Hasher_methods(root_module, root_module['ns3::Hasher'])
     register_Ns3LogComponent_methods(root_module, root_module['ns3::LogComponent'])
     register_Ns3NoneFileConfig_methods(root_module, root_module['ns3::NoneFileConfig'])
@@ -323,6 +326,21 @@
                    is_pure_virtual=True, is_virtual=True)
     return
 
+def register_Ns3GtkConfigStore_methods(root_module, cls):
+    ## gtk-config-store.h (module 'config-store'): ns3::GtkConfigStore::GtkConfigStore(ns3::GtkConfigStore const & arg0) [constructor]
+    cls.add_constructor([param('ns3::GtkConfigStore const &', 'arg0')])
+    ## gtk-config-store.h (module 'config-store'): ns3::GtkConfigStore::GtkConfigStore() [constructor]
+    cls.add_constructor([])
+    ## gtk-config-store.h (module 'config-store'): void ns3::GtkConfigStore::ConfigureAttributes() [member function]
+    cls.add_method('ConfigureAttributes', 
+                   'void', 
+                   [])
+    ## gtk-config-store.h (module 'config-store'): void ns3::GtkConfigStore::ConfigureDefaults() [member function]
+    cls.add_method('ConfigureDefaults', 
+                   'void', 
+                   [])
+    return
+
 def register_Ns3Hasher_methods(root_module, cls):
     ## hash.h (module 'core'): ns3::Hasher::Hasher(ns3::Hasher const & arg0) [constructor]
     cls.add_constructor([param('ns3::Hasher const &', 'arg0')])
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/config-store/bindings/modulegen__gcc_LP64.py ns-3.34/src/config-store/bindings/modulegen__gcc_LP64.py
--- ns-3.33/src/config-store/bindings/modulegen__gcc_LP64.py	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/config-store/bindings/modulegen__gcc_LP64.py	2021-07-14 10:31:06.000000000 -0700
@@ -38,6 +38,8 @@
     module.add_class('DefaultDeleter', import_from_module='ns.core', template_parameters=['ns3::TraceSourceAccessor'])
     ## file-config.h (module 'config-store'): ns3::FileConfig [class]
     module.add_class('FileConfig', allow_subclassing=True)
+    ## gtk-config-store.h (module 'config-store'): ns3::GtkConfigStore [class]
+    module.add_class('GtkConfigStore')
     ## hash.h (module 'core'): ns3::Hasher [class]
     module.add_class('Hasher', import_from_module='ns.core')
     ## log.h (module 'core'): ns3::LogComponent [class]
@@ -173,6 +175,7 @@
     register_Ns3DefaultDeleter__Ns3HashImplementation_methods(root_module, root_module['ns3::DefaultDeleter< ns3::Hash::Implementation >'])
     register_Ns3DefaultDeleter__Ns3TraceSourceAccessor_methods(root_module, root_module['ns3::DefaultDeleter< ns3::TraceSourceAccessor >'])
     register_Ns3FileConfig_methods(root_module, root_module['ns3::FileConfig'])
+    register_Ns3GtkConfigStore_methods(root_module, root_module['ns3::GtkConfigStore'])
     register_Ns3Hasher_methods(root_module, root_module['ns3::Hasher'])
     register_Ns3LogComponent_methods(root_module, root_module['ns3::LogComponent'])
     register_Ns3NoneFileConfig_methods(root_module, root_module['ns3::NoneFileConfig'])
@@ -323,6 +326,21 @@
                    is_pure_virtual=True, is_virtual=True)
     return
 
+def register_Ns3GtkConfigStore_methods(root_module, cls):
+    ## gtk-config-store.h (module 'config-store'): ns3::GtkConfigStore::GtkConfigStore(ns3::GtkConfigStore const & arg0) [constructor]
+    cls.add_constructor([param('ns3::GtkConfigStore const &', 'arg0')])
+    ## gtk-config-store.h (module 'config-store'): ns3::GtkConfigStore::GtkConfigStore() [constructor]
+    cls.add_constructor([])
+    ## gtk-config-store.h (module 'config-store'): void ns3::GtkConfigStore::ConfigureAttributes() [member function]
+    cls.add_method('ConfigureAttributes', 
+                   'void', 
+                   [])
+    ## gtk-config-store.h (module 'config-store'): void ns3::GtkConfigStore::ConfigureDefaults() [member function]
+    cls.add_method('ConfigureDefaults', 
+                   'void', 
+                   [])
+    return
+
 def register_Ns3Hasher_methods(root_module, cls):
     ## hash.h (module 'core'): ns3::Hasher::Hasher(ns3::Hasher const & arg0) [constructor]
     cls.add_constructor([param('ns3::Hasher const &', 'arg0')])
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/config-store/model/attribute-default-iterator.h ns-3.34/src/config-store/model/attribute-default-iterator.h
--- ns-3.33/src/config-store/model/attribute-default-iterator.h	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/config-store/model/attribute-default-iterator.h	2021-07-14 10:31:06.000000000 -0700
@@ -43,19 +43,26 @@
   void Iterate (void);
 private:
   /**
-   * \brief Just an interface that needs to be implemented
+   * \brief Begin the analysis of a TypeId
+   * \param name TypeId name
    */
   virtual void StartVisitTypeId (std::string name);
   /**
-   * \brief Just an interface that needs to be implemented
+   * \brief End the analysis of a TypeId
    */
   virtual void EndVisitTypeId (void);
   /**
-   * \brief This method can be implemented, otherwise, it will call DoVisitAttribute
+   * \brief Visit an Attribute
+   * \param tid the TypeId the attribute belongs to
+   * \param name the Attribute name
+   * \param defaultValue the attribute default value
+   * \param index the index of the Attribute
    */
   virtual void VisitAttribute (TypeId tid, std::string name, std::string defaultValue, uint32_t index);
   /**
-   * \brief This method is just an interface and needs to be implemented
+   * \brief Visit an Attribute
+   * \param name the Attribute name
+   * \param defaultValue the attribute default value
    */
   virtual void DoVisitAttribute (std::string name, std::string defaultValue);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/config-store/model/attribute-iterator.h ns-3.34/src/config-store/model/attribute-iterator.h
--- ns-3.33/src/config-store/model/attribute-iterator.h	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/config-store/model/attribute-iterator.h	2021-07-14 10:31:06.000000000 -0700
@@ -87,8 +87,7 @@
    *
    * \note type name ObjectVectorValue is an alias for ObjectPtrContainerValue
    *
-   * \param object the object on which the attribute of type ObjectVectorValue
-resides
+   * \param object the object on which the attribute of type ObjectVectorValue resides
    * \param name the attribute name provided
    * \param [in] vector the ObjectPtrContainerValue corresponding to the named attribute 
    */
@@ -161,8 +160,7 @@
    *
    * \note type name ObjectVectorValue is an alias for ObjectPtrContainerValue
    *
-   * \param object the object on which the attribute of type ObjectVectorValue
-resides
+   * \param object the object on which the attribute of type ObjectVectorValue resides
    * \param name the attribute name provided
    * \param [in] vector the ObjectPtrContainerValue corresponding to the named attribute 
    */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/config-store/model/config-store.h ns-3.34/src/config-store/model/config-store.h
--- ns-3.33/src/config-store/model/config-store.h	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/config-store/model/config-store.h	2021-07-14 10:31:06.000000000 -0700
@@ -121,12 +121,21 @@
 };
 
 /**
- * @{
- * \ingroup configstore
+ * \brief Stream insertion operator.
+ *
+ * \param [in] os The reference to the output stream.
+ * \param [in] mode The configStore mode.
+ * \returns The reference to the output stream.
  */
 std::ostream & operator << (std::ostream & os, ConfigStore::Mode & mode);
+/**
+ * \brief Stream insertion operator.
+ *
+ * \param [in] os The reference to the output stream.
+ * \param [in] format The configStore file format.
+ * \returns The reference to the output stream.
+ */
 std::ostream & operator << (std::ostream & os, ConfigStore::FileFormat & format);
-/**@}*/
 
 }  // namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/config-store/model/display-functions.cc ns-3.34/src/config-store/model/display-functions.cc
--- ns-3.33/src/config-store/model/display-functions.cc	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/config-store/model/display-functions.cc	2021-07-14 10:31:06.000000000 -0700
@@ -24,7 +24,7 @@
 #include "ns3/pointer.h"
 
 namespace ns3 {
-/**
+/*
  * This function includes the name of the attribute or the editable value
  * in the second column
  */
@@ -51,7 +51,7 @@
       g_object_set (renderer, "editable", FALSE, (char*) 0);
     }
 }
-/**
+/*
  * This function includes the name of the object, pointer, vector or vector item
  * in the first column
  */
@@ -91,7 +91,7 @@
   }
 }
 
-/**
+/*
  * This is the callback called when the value of an attribute is changed
  */
 void
@@ -111,7 +111,7 @@
   node->object->SetAttribute (node->name, StringValue (new_text));
 }
 
-/**
+/*
  * This function gets the column number 0 or 1 from the mouse
  * click
  */
@@ -128,7 +128,7 @@
   return num;
 }
 
-/**
+/*
  * This function displays the tooltip for an object, pointer, vector
  * item or an attribute
  */
@@ -230,7 +230,7 @@
   return FALSE;
 }
 
-/**
+/*
  * This is the main view opening the widget, getting tooltips and drawing the
  * tree of attributes...
  */
@@ -271,7 +271,7 @@
   return view;
 }
 
-/**
+/*
  * Exit the window when exit button is pressed
  */
 void
@@ -281,7 +281,7 @@
   gtk_widget_hide (GTK_WIDGET (user_data));
 }
 
-/**
+/*
  * Exit the application
  */
 gboolean
@@ -292,7 +292,7 @@
   return TRUE;
 }
 
-/**
+/*
  * Delete the tree model contents
  */
 gboolean
@@ -310,8 +310,8 @@
   return FALSE;
 }
 
-/**************************     display functions used by default configurator **********************/
-/**
+//     display functions used by default configurator
+/*
  * This function writes data in the second column, this data is going to be editable
  * if it is a NODE_ATTRIBUTE
  */
@@ -337,7 +337,7 @@
       g_object_set (renderer, "editable", FALSE, (char*) 0);
     }
 }
-/**
+/*
  * This function writes the attribute or typeid name in the column 0
  */
 void
@@ -364,7 +364,7 @@
 }
 
 
-/**
+/*
  *  This functions is called whenever there is a change in the value of an attribute
  *  If the input value is ok, it will be updated in the default value and in the
  *  gui, otherwise, it won't be updated in both.
@@ -389,12 +389,12 @@
     }
 }
 
-/**
+/*
  * This function is used to display a tooltip whenever the user puts the mouse
  * over a type ID or an attribute. It will give the type and the possible values of
  * an attribute value and the type of the object for an attribute object or a
  * typeID object
-
+ *
  * \param widget is the display object
  * \param x is the x position
  * \param y is the y position
@@ -464,7 +464,7 @@
   return FALSE;
 }
 
-/**
+/*
  * This is the action done when the user presses on the save button.
  * It will save the config to a file.
  *
@@ -507,7 +507,7 @@
   g_object_unref (native);
 }
 
-/**
+/*
  * If the user presses the button load, it will load the config file into memory.
  *
  * \param button (unused)
@@ -542,7 +542,7 @@
   g_object_unref (native);
 }
 
-/**
+/*
  * This is the action done when the user presses on the save button.
  * It will save the config to a file.
  *
@@ -585,7 +585,7 @@
   g_object_unref (native);
 }
 
-/**
+/*
  * If the user presses the button load, it will load the config file into memory.
  *
  * \param button (unused)
@@ -620,7 +620,7 @@
   g_object_unref (native);
 }
 
-/**
+/*
  * This is the main view opening the widget, getting tooltips and drawing the
  * tree of attributes
  */
@@ -661,7 +661,7 @@
   return view;
 }
 
-/**
+/*
  * Delete the tree model contents
  */
 gboolean
